# ACE_TSS_Type_Adapter< TYPE > Class Template Reference

Adapter that allows built-in types to be used with ACE_TSS. More...

`#include <TSS_T.h>`

Collaboration diagram for ACE_TSS_Type_Adapter< TYPE >:

[legend]
List of all members.

## Public Member Functions

| ACE_TSS_Type_Adapter (const TYPE value=0)
| Constructor. Inlined here so that it should _always_ be inlined.
| operator TYPE () const
| operator TYPE & ()

## Private Attributes

TYPE | value_
| The wrapped value.

## Detailed Description

### template<class TYPE>
class ACE_TSS_Type_Adapter< TYPE >

Adapter that allows built-in types to be used with ACE_TSS.

Wraps a value of a built-in type, providing conversions to and from the type. Example use with ACE_TSS: ACE_TSS<ACE_TSS_Type_Adapter<int> > i; *i = 37; ACE_OS::fprintf (stderr, "%d\n", *i); Unfortunately, though, some compilers have trouble with the implicit type conversions. This seems to work better: ACE_TSS<ACE_TSS_Type_Adapter<int> > i; i->operator int & () = 37; ACE_OS::fprintf (stderr, "%d\n", i->operator int ());

## Constructor & Destructor Documentation

template<class TYPE>
ACE_TSS_Type_Adapter< TYPE >::ACE_TSS_Type_Adapter | ( | const TYPE | value = `0` | ) | `[inline]`

| Constructor. Inlined here so that it should _always_ be inlined.

## Member Function Documentation

template<class TYPE>
ACE_TSS_Type_Adapter< TYPE >::operator TYPE | ( |  | ) | const`[inline]`

| TYPE conversion. Inlined here so that it should _always_ be inlined.

template<class TYPE>
ACE_TSS_Type_Adapter< TYPE >::operator TYPE & | ( |  | ) | `[inline]`

| TYPE & conversion. Inlined here so that it should _always_ be inlined.

## Member Data Documentation

template<class TYPE>
TYPE ACE_TSS_Type_Adapter< TYPE >::value_ `[private]`

| The wrapped value.

The documentation for this class was generated from the following file:

- TSS_T.h